package main

import (
	"log"

	"git.paulbsd.com/paulbsd/adradius/src/adradius"
	"git.paulbsd.com/paulbsd/adradius/src/config"
)

func main() {
	var cfg config.Config
	err := cfg.GetConfig()
	if err != nil {
		log.Fatal(err)
	}
	ldapcfg := adradius.SetADRadiusConfig(&cfg)
	adradius.RunServer(&cfg, ldapcfg)
}
